Loading...
Searching...
No Matches
casacore::ChebyshevEnums Class Reference
scimath package (libcasa_scimath) » Functionals_module

More...

`#include <ChebyshevParam.h>`

## Public Types

enum | OutOfIntervalMode { CONSTANT , ZEROTH , EXTRAPOLATE , CYCLIC , EDGE , NOutOfIntervalModes }
| Modes that identify how this function behaves outside its Chebyshev interval (see setInterval()). More...

## Detailed Description

Define enums for Chebyshev classes

Definition at line 44 of file ChebyshevParam.h.

## Member Enumeration Documentation

## OutOfIntervalMode

enum casacore::ChebyshevEnums::OutOfIntervalMode

Modes that identify how this function behaves outside its Chebyshev interval (see setInterval()).

Enumerator
CONSTANT | return a constant, default value. The value returned is set with setDefault().
ZEROTH | return a constant value equal to the zero-th order coefficient
EXTRAPOLATE | evaluate the polynomial based on its coefficients just as it would be inside the interval. Thus, the function's range is not guaranteed to remain within the characteristic bounds of the Chebyshev interval.

CYCLIC

evaluate the function as if the range is cyclic, repeating the range values from its canonical domain.

The period of the cycle will be equal to getIntervalMax()-getIntervalMin(). When the function is evaluated outside this interval, the input value will shifted an integer number of periods until it falls within the Chebyshev interval; the value returned is the polynomial evaluated at the shifted (x-axis) value. Obviously, this mode is most expensive computationally when evaluating outside the range.

EDGE | evaluate the function at nearest interval edge
NOutOfIntervalModes | number of enumerators

Definition at line 49 of file ChebyshevParam.h.

The documentation for this class was generated from the following file:

- scimath/Functionals/ChebyshevParam.h